Beacons: Show
GET /apps/{app_id}/beacons/{id}Path Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
id |
string | No | id of the beacon |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/beacons/{id} \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{ "id": "beacon_id", "nickname": "beacon_nickname", "cached_beacon_events_count": 0, "created_at": "2024-01-01", "uuid": "beacon_uuid", "major": 123, "minor": 345, "battery": "Check", "beacon_id": "123", "groups": [{ "id": "group_id", "name": "group_name" }], "actions": { "edit": "edit_path", "delete": "delete_path", }, }
